/// <reference types="react" />
import type { CompProps } from './Composition.js';
import type { CompositionManagerContext, TAsset, TCompMetadata, TComposition, TSequence } from './CompositionManager.js';
import * as CSSUtils from './default-css.js';
import type { RemotionEnvironment } from './get-environment.js';
import type { SetTimelineContextValue, TimelineContextValue } from './timeline-position-state.js';
import * as TimelinePosition from './timeline-position-state.js';
import { truthy } from './truthy.js';
import type { MediaVolumeContextValue, SetMediaVolumeContextValue } from './volume-position-state.js';
import { useRemotionContexts } from './wrap-remotion-context.js';
declare const Timeline: typeof TimelinePosition;
export declare const Internals: {
    useUnsafeVideoConfig: () => import("./video-config.js").VideoConfig | null;
    Timeline: typeof TimelinePosition;
    CompositionManager: import("react").Context<CompositionManagerContext>;
    RemotionRoot: import("react").FC<{
        children: import("react").ReactNode;
        numberOfAudioTags: number;
    }>;
    useVideo: () => {
        height: number;
        width: number;
        fps: number;
        durationInFrames: number;
        defaultProps: unknown;
        id: string;
        folderName: string | null;
        parentFolderName: string | null;
        component: import("react").LazyExoticComponent<import("react").ComponentType<unknown>>;
        nonce: number;
    } | null;
    getRoot: () => import("react").FC<{}> | null;
    useMediaVolumeState: () => readonly [number, (u: number) => void];
    useMediaMutedState: () => readonly [boolean, (u: import("react").SetStateAction<boolean>) => void];
    useLazyComponent: <T>(compProps: CompProps<T>) => import("react").ExoticComponent<(import("react").PropsWithoutRef<T> & import("react").RefAttributes<import("react").Component<T, any, any>>) | import("react").PropsWithRef<T>> & {
        readonly _result: import("react").ComponentType<T>;
    };
    truthy: typeof truthy;
    SequenceContext: import("react").Context<import("./SequenceContext.js").SequenceContextType | null>;
    useRemotionContexts: typeof useRemotionContexts;
    RemotionContextProvider: (props: import("./wrap-remotion-context.js").RemotionContextProviderProps) => JSX.Element;
    CSSUtils: typeof CSSUtils;
    setupEnvVariables: () => void;
    ENV_VARIABLES_ENV_NAME: "ENV_VARIABLES";
    MediaVolumeContext: import("react").Context<MediaVolumeContextValue>;
    SetMediaVolumeContext: import("react").Context<SetMediaVolumeContextValue>;
    validateDurationInFrames: ({ allowFloats, component, durationInFrames, }: {
        durationInFrames: number;
        component: string;
        allowFloats: boolean;
    }) => void;
    validateFps: (fps: number, location: string, isGif: boolean) => void;
    validateDimension: (amount: number, nameOfProp: string, location: string) => void;
    getRemotionEnvironment: () => RemotionEnvironment;
    SharedAudioContext: import("react").Context<{
        registerAudio: (aud: import("./index.js").RemotionAudioProps, audioId: string) => {
            id: number;
            props: import("./index.js").RemotionAudioProps;
            el: import("react").RefObject<HTMLAudioElement>;
            audioId: string;
        };
        unregisterAudio: (id: number) => void;
        updateAudio: (options: {
            id: number;
            aud: import("./index.js").RemotionAudioProps;
            audioId: string;
        }) => void;
        playAllAudios: () => void;
        numberOfAudioTags: number;
    } | null>;
    SharedAudioContextProvider: import("react").FC<{
        numberOfAudioTags: number;
        children: import("react").ReactNode;
    }>;
    invalidCompositionErrorMessage: string;
    isCompositionIdValid: (id: string) => RegExpMatchArray | null;
    getPreviewDomElement: () => HTMLElement | null;
    compositionsRef: import("react").RefObject<{
        getCompositions: () => TCompMetadata[];
    }>;
    DELAY_RENDER_CALLSTACK_TOKEN: string;
    portalNode: () => HTMLElement;
    waitForRoot: (fn: (comp: import("react").FC<{}>) => void) => () => void;
    validateOffthreadVideoImageFormat: (input: unknown) => void;
    CanUseRemotionHooksProvider: import("react").FC<{
        children: import("react").ReactNode;
    }>;
    CanUseRemotionHooks: import("react").Context<boolean>;
    enableLegacyRemotionConfig: () => void;
    PrefetchProvider: import("react").FC<{
        children: import("react").ReactNode;
    }>;
    DurationsContextProvider: import("react").FC<{
        children: import("react").ReactNode;
    }>;
    IsPlayerContextProvider: import("react").FC<{
        children?: import("react").ReactNode;
    }>;
    useIsPlayer: () => boolean;
    useRemotionEnvironment: () => RemotionEnvironment;
    validateFrame: ({ allowFloats, durationInFrames, frame, }: {
        frame: number;
        durationInFrames: number;
        allowFloats: boolean;
    }) => void;
};
export type { TComposition, Timeline, TCompMetadata, TSequence, TAsset, TimelineContextValue, SetTimelineContextValue, CompProps, CompositionManagerContext, MediaVolumeContextValue, SetMediaVolumeContextValue, RemotionEnvironment, };
