import type React from 'react';
import type { VolumeProp } from '../volume-prop.js';
export declare type RemotionMainVideoProps = {
    startFrom?: number;
    endAt?: number;
};
export declare type RemotionVideoProps = Omit<React.DetailedHTMLProps<React.VideoHTMLAttributes<HTMLVideoElement>, HTMLVideoElement>, 'autoPlay' | 'controls' | 'onEnded' | 'nonce'> & {
    volume?: VolumeProp;
    playbackRate?: number;
    acceptableTimeShiftInSeconds?: number;
    allowAmplificationDuringRender?: boolean;
};
export declare type OffthreadVideoImageFormat = 'png' | 'jpeg';
export declare type OffthreadVideoProps = {
    src: string;
    className?: string;
    style?: React.CSSProperties;
    volume?: VolumeProp;
    playbackRate?: number;
    muted?: boolean;
    onError?: React.ReactEventHandler<HTMLVideoElement | HTMLImageElement>;
    imageFormat?: OffthreadVideoImageFormat;
    acceptableTimeShiftInSeconds?: number;
    allowAmplificationDuringRender?: boolean;
};
